--------------------------------------------------------------------------------------------------------------
--
-- Module     : SIMS Database SQL Server 2005
-- Platform   : SIMS
-- Area       : DBUpgrade Database Patch
-- Copyright  : (c) Capita Education Services 2005-2009
--            : This code has been written by Capita Education Services for use within its own SIMS systems.
--            : It is unpublished proprietary work, and as such it is illegal for it to be reproduced by any
--            : means or used without the express written permission of Capita Education Services.
-- Patch ID   : 7186
--
--------------------------------------------------------------------------------------------------------------

-- Check this is within the acceptible range
  IF NOT EXISTS(
	SELECT 1 
	FROM	sims.db_version_info
	WHERE	schema_version BETWEEN '3.61.870' AND '3.62.999')
  BEGIN
    DECLARE @error_msg2 VARCHAR(100)
    SET @error_msg2 = CHAR(10) + CHAR(13) + 'This patch is not applicable to this database version.' + CHAR(10) + CHAR(13)
	raiserror(@error_msg2, 18, 1)
  END

GO
-- START PATCH CODE



-- START PATCH SCRIPT 1

-- switch on All address Validation 
exec sims.db_p_configure_processes
     @values = '<data> 
                  <row ProcessName=''AdminSIMSServices''               Licensed=''T'' ReadOnly =''0'' />
                  <row ProcessName=''ViewSIMSServices''                Licensed=''T'' ReadOnly =''0'' />
                  <row ProcessName=''ValidateAddress''                 Licensed=''T'' ReadOnly =''0'' />
               </data>'

update sims.sims_service set url = 'http://www.capitasolus.co.uk/CESAddress/ValidateUKAddress.asmx' where code = 'Addr1' 

-- END PATCH SCRIPT 1
GO


-- END PATCH CODE



-- Record that this patch has been updated
INSERT INTO sims.db_update_log
(
	patch_id,
	update_id,
	successful,
	description,
	update_type,
	date_applied
)
VALUES
(
	7186,
	1,
	'T',
	'SIMS Licence Activator Patch: Address Validation Service',
	'U',
	GetDate()
)

